Crash when Adding Ebook

Bug #1451043 reported by Ovidiu-Florin BOGDAN on 2015-05-02
36
This bug affects 8 people
Affects Status Importance Assigned to Milestone
calibre (Ubuntu)
Undecided
Unassigned

Bug Description

Error message:
calibre, version 2.20.0
EROARE: Cannot add books: Failed to add some books, click "Show details" for more information.

Worker process crashed while executing job
Traceback (most recent call last):
  File "/usr/lib/calibre/calibre/utils/ipc/pool.py", line 103, in recv
    result = cPickle.loads(eintr_retry_call(self.conn.recv_bytes))
  File "/usr/lib/calibre/calibre/utils/ipc/__init__.py", line 19, in eintr_retry_call
    return func(*args, **kwargs)
EOFError

I get this when adding an ebook (in attachment) to my library.

I'm using the Romanian Locale. I'm using it on Kubuntu 15.04.
I'm using Calibre 2.20.

The ebook in cause can also be downloaded from: http://qmlbook.github.io/assets/

I do not provide support for people using distro provided packages. If you are using a distro provided package, uninstall it and install the official calibre binary from http://calibre-ebook.com/download_linux and if you can reproduce the bug with that, re-open the ticket.

 status invalid

Changed in calibre:
status: New → Invalid

Does not happen on the version from the site. I'll report this on the package. Thank you.

affects: calibre → calibre (Ubuntu)
Changed in calibre (Ubuntu):
status: Invalid → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in calibre (Ubuntu):
status: New → Confirmed

I can confirm that using the binary from http://calibre-ebook.com/download_linux has solved the problem for me.

Distrubuted version by Ubuntu: 2.20.0+dfsg-1
Installed binary version: 2.31

Luca Ciavatta (cialu) wrote :

I confirm that using the binary from website has solved the problem for me too.

Distro provided version: 2.20.0+dfsg-1
Installed binary version: 2.38

AnGus (ozsolarwind) wrote :

I confirm that using the binary from website has solved the problem for me too.

Distro provided version: 2.20.0+dfsg-1
Installed binary version: 2.40.0

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers